Publish a plan
curl --request POST \
--url https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/publish/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateFeatures": false,
"updatePricing": false
}
'import requests
url = "https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/publish/"
payload = {
"updateFeatures": False,
"updatePricing": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updateFeatures: false, updatePricing: false})
};
fetch('https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/publish/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "published"
}Plans
Publish a plan
Promotes the most recent draft version of the plan to isLatest=true, demotes the previous published version, and syncs the plan to Stripe / internal billing. Optionally migrates existing customers’ features or pricing. Fails with 400 if no price exists or required currencies are missing.
POST
/
catalog
/
plans
/
{identifier}
/
publish
/
Publish a plan
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Path Parameters
Plan identifier.
Body
application/json
Response
Plan published.
Example:
"published"
⌘I